编程知识 cdmana.com

融云 IM SDK 转 AndroidX

融云 IM SDK 转 AndroidX

最近公司项目要开发 IM 即时通信功能, 所以采用了融云即时通信 SDK。 但在集成的时候很快就发现了一个问题. 由于我们的工程是 AndroidX 的, 集成 Module 之后结果报错. 但是, 在融云官网却没有找到 Androidx 版本的 SDK.

然后自己通过查资料,然后在 gradle.properties 里的配置添加, 然后同步编译.

android.useAndroidX = true
android.enableJetifier = true

结果还是报错. 无奈之下找融云技术支持咨询一下. 技术支持同学告知, 如果工程原来就是 Androidx, 则需要先把 android.useAndroidX 和 android.enableJetifier 设置为 false, 同步编译一遍, 然后再设置成 true, 然后再同步编译, 这样就正确了。自己试了一下结果真的可以. 这可能是 Android Studio 的一个 bug 吧.

最后工程中代码中会提示不兼容类型的错误,但不影响编译运行。

技术支持同学也告知另一种更简单的方法, 就是直接使用容云官网提供的 maven 远程依赖方式使用 SDK 不会出现不兼容的问题, 亲测是可以的. 如果有遇到同样问题的童鞋可直接使用 maven 远程依赖库进行集成.

版权声明
本文为[太极]所创,转载请带上原文链接,感谢
https://segmentfault.com/a/1190000038147416

Scroll to Top